#include "orxonox_gui_audio.h"

OrxonoxGuiAudio::OrxonoxGuiAudio ()
{
  audioFrame = new Frame ("Audio-Options:");
  audioBox = new Box ('v');
  
  enableSound = new CheckButton ("Enable Sound");
  audioBox->fill (enableSound);
  musicVolume = new Slider ("Music Volume", 0, 100);
  audioBox->fill (musicVolume);
  effectsVolume = new Slider ("Effects Volume", 0, 100);
  audioBox->fill (effectsVolume);

  audioFrame->fill (audioBox);
}

Frame* OrxonoxGuiAudio::getFrame ()
{
  return audioFrame;
}
